# -*- coding: utf-8 -*-
from setuphelpers import *


def get_app_path_version(key):
    app_path = makepath(key["install_location"], "iconsext.exe")
    return get_file_properties(app_path)["ProductVersion"]


def install():
    install_exe_if_needed(
        "iconsext_setup.exe",
        silentflags="/S",
        key="NirSoft IconsExtract",
        min_version=control.get_software_version(),
        get_version=get_app_path_version,
    )
